[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# cotan

Return cotangent

## Declaration

Source position: math.pp line 269

`function cotan(`
`x: float`
`):float;`

## Description

Cotan returns the cotangent of it's argument x. The argument x must be in radians. x should be different from zero.

## Errors

If x is zero then a overflow error will occur.

## See also

tanh |  | Return hyperbolic tangent

## Example

    Program Example9;

    { Program to demonstrate the cotan function. }

    Uses math;

    begin
      writeln(cotan(pi/2));
      Writeln(cotan(pi/3));
      Writeln(cotan(pi/4));
    end.

Documentation generated on: Feb 26 2014